<?php
/**
* Header Options.
*
* @package Vacation Rental Booking
*/

$vacation_rental_booking_default = vacation_rental_booking_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'vacation_rental_booking_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'vacation-rental-booking' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'vacation_rental_booking_theme_option_panel',
	)
);

$wp_customize->add_setting('vacation_rental_booking_sticky',
    array(
        'default' => $vacation_rental_booking_default['vacation_rental_booking_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'vacation_rental_booking_sanitize_checkbox',
    )
);
$wp_customize->add_control('vacation_rental_booking_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'vacation-rental-booking'),
        'section' => 'vacation_rental_booking_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('vacation_rental_booking_menu_font_size',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'vacation_rental_booking_sanitize_number_range',
    )
);
$wp_customize->add_control('vacation_rental_booking_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'vacation-rental-booking'),
        'section'     => 'vacation_rental_booking_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_menu_text_transform',
    array(
    'default'           => $vacation_rental_booking_default['vacation_rental_booking_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'vacation_rental_booking_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'vacation-rental-booking' ),
    'section'     => 'vacation_rental_booking_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'vacation-rental-booking' ),
        'uppercase'  => esc_html__( 'Uppercase', 'vacation-rental-booking' ),
        'lowercase'    => esc_html__( 'Lowercase', 'vacation-rental-booking' ),
        ),
    )
);

$wp_customize->add_setting('vacation_rental_booking_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'vacation_rental_booking_header_menus_color', array(
    'label'    => __('Main Menu Color', 'vacation-rental-booking'),
    'section'  => 'vacation_rental_booking_button_header_setting',
)));

$wp_customize->add_setting('vacation_rental_booking_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'vacation_rental_booking_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'vacation-rental-booking'),
    'section'  => 'vacation_rental_booking_button_header_setting',
)));

$wp_customize->add_setting('vacation_rental_booking_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'vacation_rental_booking_header_submenus_color', array(
    'label'    => __('Submenu Color', 'vacation-rental-booking'),
    'section'  => 'vacation_rental_booking_button_header_setting',
)));

$wp_customize->add_setting('vacation_rental_booking_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'vacation_rental_booking_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'vacation-rental-booking'),
    'section'  => 'vacation_rental_booking_button_header_setting',
)));